using Core.Calculation;
using Core.Entities;
using Core.Parsers;
using Tests.Parsers;
using EventAssignment = Core.Calculation.EventAssignment;

namespace Tests.Calculation;
[TestFixture]
public class EventAssignmentTests
{

	[Test]
	public void SolutionTest()
	{
		var events = TestEntityHandler.GetEvents();
		var students = TestEntityHandler.GetStudents(events);

		var eventAssignment = new EventAssignment(events, students, new AssignmentParameters());
		var solution =  eventAssignment.Solve().Result;

		var teamWriter = new TeamWriter(solution.Teams, @"c:\temp\teams.csv");
		teamWriter.Write();
	}
}